Page MenuHomePhabricator

Set default filters for beta users of Watchlist
Closed, ResolvedPublic

Description

For beta users who didn't previously set any Watchlist defaults, the following will be the default set of Watchlist filters in the new UX.

  • Page edits: active x
  • Page creations: active x
  • Logged actions: active x
  • Human (not bot): active
  • Latest revision: active x
  • Group changes by page: active
  • Days to Watch: 3
  • Max number of changes to show: 250
  • Unseen changes (in the " Watchlist activity" group): filter=not active but highlight=green

As on Recent Changes, if a user sets new defaults using the Saved Filters/bookmarks functions, those on-page defaults trump the system defaults.

(For users who did previously set Watchlist preferences, a separate ticket to come will specify how to map Watchlist preferences to the New Filters UX.)

Related Objects

Event Timeline

Change 372877 had a related patch set uploaded (by Sbisson; owner: Sbisson):
[mediawiki/core@master] WLFilters: set default values

https://gerrit.wikimedia.org/r/372877

  • Page edits: active
  • Page creations: active
  • Logged actions: active

Just like in RC, these are selected when "hide categorization" is selected on the preference page. It is selected by default for users who have never changed it.

  • Human (not bot): active

Controlled by 'hide bots' on the preference page. NOT selected by default.

  • Latest revision: active

The patch above makes it active by default.

  • Group changes by page: active

Controlled by 'enhanced' option on the RC preference page.

  • Days to Watch: 3
  • Max number of changes to show: 250

The patch above makes it so that those values are coming from the WL preference page.

  • Unseen changes (in the " Watchlist activity" group): filter=not active but highlight=green

There is a discussion in T171235 about whether highlighting by default is 'too much'. Left out for now.

jmatazzoni added a comment.EditedAug 23 2017, 2:04 AM

I've changed my mind about a number of the settings that I originally said should be default on Watchlist. (I wrote this ticket before the Consolidated Preferences tags, so I think I had a different idea about the project back then.)

So unless someone explains why I was right to begin with, the following items should NOT be default preferences on Watchlist (I've edited the Description above to reflect the changes):

  • Human (not bot): active
  • Group changes by page: active
  • Unseen changes (in the " Watchlist activity" group): filter=not active but highlight=green

@SBisson, I moved this back to In Dev, so you can effect the changes above. Sorry for the inconvenience.

I've changed my mind about a number of the settings that I originally said should be default on Watchlist. (I wrote this ticket before the Consolidated Preferences tags, so I think I had a different idea about the project back then.)
So unless someone explains why I was right to begin with, the following items should NOT be default preferences on Watchlist (I've edited the Description above to reflect the changes):

  • Human (not bot): active
  • Group changes by page: active
  • Unseen changes (in the " Watchlist activity" group): filter=not active but highlight=green

I was under the assumption that the new watchlist in beta would show the same results as the old watchlist by default. I think it would clarify things if that is mentioned explicitly in the ticket description, and any proposed default that differs from what users currently get is clearly marked as such.

jmatazzoni added a comment.EditedAug 23 2017, 3:16 PM

In T171134#3543923, @Pginer-WMF wrote:

I was under the assumption that the new watchlist in beta would show the same results as the old watchlist by default. I think it would clarify things if that is mentioned explicitly in the ticket description, and any proposed default that differs from what users currently get is clearly marked as such.

Yes, thanks Pau. To clarify: The defaults listed above now are, the best I can tell, the defaults as they currently exist (but translated to the new UX).

The updated version of the task description is what I had done in the patch. Moving back to "Needs Review"

Change 372877 merged by jenkins-bot:
[mediawiki/core@master] WLFilters: set default values

https://gerrit.wikimedia.org/r/372877

Change 374534 had a related patch set uploaded (by Sbisson; owner: Sbisson):
[mediawiki/core@master] WLFilters: Use displaysOnUnstructuredUi instead of isVisible

https://gerrit.wikimedia.org/r/374534

Change 374534 merged by jenkins-bot:
[mediawiki/core@master] WLFilters: Use displaysOnUnstructuredUi instead of isVisible

https://gerrit.wikimedia.org/r/374534

Checked in betalabs - works as expected.

Any settings in Preferences-Watchlist (including Days to Watch and Max number of changes to show) will be preserved for a user who switched to the New filters beta features.
The overall look is below:

QA Recommendation: Resolve

jmatazzoni closed this task as Resolved.Aug 30 2017, 4:28 PM
jmatazzoni reopened this task as Open.Sep 12 2017, 3:56 PM

@SBisson, I am looking at Watchlist on beta and notice that I don't see the Latest Revision filter in the Active Filters area. Why is that? @Etonkovidova, are you seeing it?

jmatazzoni closed this task as Resolved.Sep 12 2017, 3:58 PM

Nevermind. I just remembered it's a preference.